<html>

	 
	
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Suppression d'un depot</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");





//Cherche les donnees du depot a effacer (montant et poste budgetaire)
$sql = "select montant, poste
FROM base_depot
WHERE code_depot = '$code_depot';";

$result = mysql_query($sql) or die("Probl&egrave;me de recherche dans la table base_depot<br>".$sql);
$row = mysql_fetch_row ($result);

$montant = $row[0];
$poste = $row[1];


			
//Soustrait le montant du total dans le poste budgetaire de la table depot_recu_le			
$montant_total = $montant_poste - $montant;
$sql2 = "UPDATE base_depot_recu
 			SET montant = '$montant_total'
		  WHERE compte_budget = '$poste';";
$result2 = mysql_query($sql2) or die("Probl&egrave;me dupdate dans la table base_depot_recu<br>".$sql2."<br><br>montanttotal=".$montant_total."<br>postebudgetaire=".$poste_budgetaire."<br>");



//Efface le depot voulu pour le contrat
$sql = "DELETE FROM base_depot
			  WHERE	code_depot = '$code_depot';";
$result = mysql_query($sql) or die("Probl&egrave;me de suppression du depot<br>".$sql);


print("L'effacement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><br><br>");
//*********************************************************************************************		
historique("../historique.txt","---suppression du depot ".$code_depot."$ au poste ".$poste."",$Bsession_id);		




?>			

print("<form action=\"confirmation-contract.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"mod_rabais\">");
print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
print("<input type=\"hidden\" name=\"code_contrat\" value=".$code_contrat.">");
print("<input type=\"hidden\" name=\"code_client\" value=".$code_client.">");	
print("<input type=\"hidden\" name=\"code_rabais\" value=".$row[0].">");
			
....



if (($etat != "annul&eacute;") and ($etat != "pass&eacute;"))
	{
		print("<input type=\"image\" alt=\"btn_activite\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
	}			
